<?php
/*
Plugin Name: Gravity Forms - Australian address type
Description: Adds an 'Australian' address type option for the 'address' field
Version: 1.0.0
Author: Adrian Gordon
Author URI: http://www.itsupportguides.com 
License: GPL2
*/

add_filter( 'gform_address_types', 'itsg_australian_address', 10, 2 );
function itsg_australian_address( $address_types, $form_id ){
	$address_types['australian'] = array(
		'label' => 'Australian',
		'country' => 'Australia',
		'state_label' => 'State',
		'zip_label' => 'Postcode',
		'states' => array(
			'',
			'Australian Capital Territory',
			'New South Wales',
			'Northern Territory',
			'Queensland',
			'South Australia',
			'Tasmania',
			'Victoria',
			'Western Australia'
			)
	);
	return $address_types;
}

add_filter( 'gform_address_street', 'itsg_change_address_street', 10, 2 );
function itsg_change_address_street( $label, $form_id ) {
    return 'Address line 1';
}

add_filter( 'gform_address_street2', 'itsg_change_address_street3', 10, 2 );
function itsg_change_address_street3( $label, $form_id ) {
    return 'Address line 2';
}

add_filter( 'gform_address_city', 'itsg_change_address_city', 10, 2 );
function itsg_change_address_city( $label, $form_id ) {
    return 'Town/suburb';
}

add_filter( 'gform_address_state', 'itsg_change_address_state', 10, 2 );
function itsg_change_address_state( $label, $form_id ) {
    return 'State';
}

add_filter( 'gform_address_zip', 'itsg_change_address_zip', 10, 2 );
function itsg_change_address_zip( $label, $form_id ) {
    return 'Postcode';
}

add_filter( 'gform_default_address_type', 'itsg_set_default_country',  10, 2 );
function itsg_set_default_country( $default_address_type, $form_id ) {
	return 'australian';
}